Subject: Re: bug#23999: 25.0.95; Emacs hangs in rectangle-mark-mode with numeric prefix argument to `C-f'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jul 2016 10:14:39 +0300

unblock 19759 by 23999
thanks

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 22 Jul 2016 09:01:12 +0200
> 
> Ping!  (This was made a blocking bug for 25.1.)

I'd appreciate if people who think some bug needs to block the release
asked for my and John's agreement first.

In this case, I don't agree that this should block the release, since
a very simple workaround is available.

> > diff --git a/lisp/rect.el b/lisp/rect.el
> > index 43621d9..9dd5db4 100644
> > --- a/lisp/rect.el
> > +++ b/lisp/rect.el
> > @@ -644,7 +644,7 @@ rectangle--*-char
> >                 (curcol (current-column))
> >                 (nextcol
> >                  (condition-case nil
> > -                    (save-excursion
> > +                    (progn
> >                        (funcall cmd 1)
> >                        (cond
> >                         ((> bol (point)) (- curcol 1))

I'm fine with pushing to master if no one objects to this particular
solution.